Entire Class Index | Main Class Index | Cross Index | Global Index

# Class CL_InputButton

Input Button interface.
Contained in: global
Derived from: none
Derived by: CL_InputButton_Basic CL_InputButton_Group
Group: Display (Input)

#include <ClanLib/display.h>

### public function member index:

### Construction:

``virtual`` | `~CL_InputButton` | `()`;

### Attributes:

``virtual` `bool`` | `is_pressed` | `()`;

## Description:

CL_InputButton is the interface to buttons, such as a keyboard, mouse or joystick button.

## Function Member Descriptions:

CL_InputButton::is_pressed - Returns true if the button is pressed.
``virtual` `bool`` `is_pressed` `()`;

> Returns - True if button is pressed.

CL_InputButton::~CL_InputButton - Input Button Destructor
``virtual`` `~CL_InputButton` `()`;